Subject: Re: Prune(S,G,rpt) is not sent immediately during SPT switchover

From: Isidor Kouvelas <[email-masked]>
Date: Mon, 28 Aug 2000 08:32:11 -0700

The latest spec can be found at: http://www.aciri.org/mjh/pimspec.ps

thanks
I

Ha Nguyen writes:
>I wonder if I have an up-to-date draft (draft-ietf-pim-sm-v2-new-00.ps).
>Anyway, in this draft, on page 30 PruneDesired is defined as follow:
>bool PruneDesired(S,G,rpt) {
>     return (JoinDesired(*,G) AND inherited_olist(S,G,rpt)= = NULL)
>}
>
>So setting SPT-bit does not influence PruneDesired.
>
>Best regards
>
>At 10:46 25.08.00 -0700, you wrote:
>>
>>Spec already includes this logic. 
>>- Router A is receiving packets from the source on the shared tree
>>- Router A decides to switch to the SPT and hence update the KAT(S,G)
>>- This causes JoinDesired(S,G) to become true and an (S,G) Join is
>>  triggered
>>- When the first packet arrives on the shortest path, A will receive
>>  it on the RPF interface towards the source and because
>>  JoinDesired(S,G) is true it will set the SPT bit.
>>- Setting the SPT bit will cause PruneDesired(S,G,rpt) to become true
>>  and the upstream (S,G,rpt) JP state machine to transition from
>>  not pruned to pruned state thus triggering an (S,G,rpt)Prune.
>>
>>thanks
>>I
>>
>>Ha Nguyen writes:
>>>Hello,
>>>
>>>toward S ------A------ toward RP
>>>               ¦
>>>             receiver r(*,G)
>>>
>>>When draft-ietf-pim-sm-v2-new-00.ps is applied to the above configuration
>>>during SPT switchover, router A does not send immediately Prune(S,G,rpt)
>towar
>>>d
>>>RP when it receives the 1st data packet from S on the SPT tree. This prune i
>s
>>>only sent on the next periodic Join(*,G) (see 4.4.6).
>>>
>>>Proposition: when 1st data packet arrives on SPT tree, send Prune(S,G,rpt) i
>f
>>>RPF_interface(S) != RPF_interface(RP).
>>>
>>>Ha Nguyen
>>>University of Lausanne
>>>
>